org.apache.xmlgraphics.util.dijkstra

## Interface EdgeDirectory

- All Known Implementing Classes:
    DefaultEdgeDirectory

      public interface EdgeDirectory

  Represents a directory of edges for use by the `DijkstraAlgorithm`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator` | `getDestinations(Vertex origin)` Returns an iterator over all valid destinations for a given vertex.
    `int` | `getPenalty(Vertex start, Vertex end)` Returns the penalty between two vertices.

- - ### Method Detail

    - #### getPenalty

          int getPenalty(Vertex start,
                         Vertex end)

      Returns the penalty between two vertices.
      Parameters:
        `start` - the start vertex
        `end` - the end vertex
      Returns:
        the penalty between two vertices, or 0 if no single edge between the two vertices exists.

    - #### getDestinations

          java.util.Iterator getDestinations(Vertex origin)

      Returns an iterator over all valid destinations for a given vertex.
      Parameters:
        `origin` - the origin from which to search for destinations
      Returns:
        the iterator over all valid destinations for a given vertex

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.